{ config, lib, pkgs, ... }:

let
  cfg = config.ptw.programs.direnv;
in {
  options.ptw.programs.direnv = {
    enable = lib.mkEnableOption "Enable direnv";
  };

  config = lib.mkIf cfg.enable {
    home-manager.users."${config.ptw.system.singleUser}".programs.direnv = {
      enable = true;
      enableZshIntegration = true;
      nix-direnv = {
        enable = true;
      };
    };
  };
}
