{
  pkgs, lib,
  python3Packages, python3,
  fetchFromGitHub,
  system_hotkey
}:

python3Packages.buildPythonApplication rec {
  pname = "superpaper";
  version = "2.1.0";

  #buildInputs = [ gobject-introspection gtk3 gnome.adwaita-icon-theme ];

  #nativeBuildInputs = [ wrapGAppsHook ];

  propagatedBuildInputs = with python3.pkgs; [ setuptools pillow screeninfo numpy xcffib xpybutil system_hotkey wxPython_4_0 ];

  src = fetchFromGitHub {
    owner = "hhannine";
    repo = pname;
    rev = "v${version}";
    sha256 = "064bpzfnhj3nk7hv13rzgb8fq6ddrxaqnkqm4mnymrsniv1im7rl";
  };

  doCheck = false;

  # Required as we otherwise don't get the dbus policy installed
  # correctly
  preInstall = ''
    # see https://github.com/pypa/setuptools/issues/130
    ${python3}/bin/${python3.executable} setup.py install_data --install-dir=$out --root=$out
  '';

  meta = with lib; {
    homepage = "https://github.com/hhannine/Superpaper";
    description = "A cross-platform multi monitor wallpaper manager.";
    license = licenses.mit;
    maintainers = [ ];
    platforms = lib.platforms.linux;
  };
}
